# path
export PATH="$HOME"/.local/bin:"$PATH"

# xdg stuff
export XDG_CACHE_HOME="$HOME"/.cache
export XDG_CONFIG_HOME="$HOME"/.config
export XDG_CONFIG_DIRS=/etc/xdg
export XDG_DATA_HOME="$HOME"/.local/share
export XDG_DATA_DIRS=/usr/local/share:/usr/share
export XDG_STATE_HOME="$HOME"/.local/state
export XDG_DESKTOP_DIR=$HOME/Desktop
export XDG_DOCUMENTS_DIR="$HOME"/Documents
export XDG_DOWNLOAD_DIR="$HOME"/Downloads
export XDG_MUSIC_DIR="$HOME"/Music
export XDG_PICTURES_DIR="$HOME"/Pictures
export XDG_VIDEOS_DIR="$HOME"/Videos
export XDG_PROJECTS_DIR="$XDG_DOCUMENTS_DIR"/projects

# cache files
export NUGET_PACKAGES="$XDG_CACHE_HOME"/NuGetPackages
export ZSH_EVALCACHE_DIR="$XDG_CACHE_HOME"/evalcache

# config files
export NBRC_PATH="$XDG_CONFIG_HOME"/nbrc
export FZF_MARKS_FILE="$XDG_CONFIG_HOME"/fzfmarks
export DOCKER_CONFIG="$XDG_CONFIG_HOME"/docker
export GTK2_RC_FILES="$XDG_CONFIG_HOME"/gtk-2.0/gtkrc
export _JAVA_OPTIONS=-Djava.util.prefs.userRoot="$XDG_CONFIG_HOME"/java
export GDBHISTFILE="$XDG_CONFIG_HOME"/gdb/history

# data files
export XCURSOR_PATH=/usr/share/icons:"$XDG_DATA_HOME"/icons
export GOPATH="$XDG_DATA_HOME"/go
export CARGO_HOME="$XDG_DATA_HOME"/cargo
export ASDF_DATA_DIR="$XDG_DATA_HOME"/asdf
export NB_DIR="$XDG_DATA_HOME"/nb
export DSTASK_GIT_REPO="$XDG_DATA_HOME"/dstask
export WAKATIME_HOME="$XDG_DATA_HOME"/wakatime
export WINEPREFIX="$XDG_DATA_HOME"/wine
#export GNUPGHOME="$XDG_DATA_HOME"/gnupg
export W3M_DIR="$XDG_DATA_HOME"/w3m
export GIBO_BOILERPLATES="$XDG_DATA_HOME"/giboboilerplates

# other programs
export LESSHISTFILE="$XDG_STATE_HOME"/less/history
export EDITOR=nvim
export VISUAL="subl -w"
export ZSH_WAKATIME_BIN=/usr/bin/wakatime
export PYTHONSTARTUP=/etc/python/pythonrc

# stuff
export ZELLIJ_AUTO_ATTACH=true
export ZELLIJ_AUTO_EXIT=true
export TERMINALNAME=$(fastfetch --pipe 2>/dev/null | grep Terminal: | awk '{print $2}')

# zsh specific
export SAVEHIST=$(( 100 * 1000 ))
export HISTSIZE=$(( 1.2 * SAVEHIST ))
export ZSH_CACHE_DIR="$XDG_CACHE_HOME"/zsh
export HISTFILE="$ZSH_CACHE_DIR"/history
export GPG_TTY="$TTY"
